#ifndef KSANEPAGESWIDGET_H
#define KSANEPAGESWIDGET_H

#include <QWidget>

#include "ksane_export.h"

#include "ksanepage.h"

class KSANE_EXPORT KSanePagesWidget : public QWidget
{
   Q_OBJECT
public:
    explicit KSanePagesWidget(QWidget *parent = nullptr)
        : QWidget(parent) {};

    virtual void addPage(const KSanePagePointer &page) = 0;
    virtual QList<KSanePagePointer> pages() = 0;

    virtual void setOcrEnabled(bool enabled) = 0;

public Q_SLOTS:
    virtual void rotateCurrentPageLeft() = 0;
    virtual void horizontalMirrorCurrentPage() = 0;
    virtual void verticalMirrorCurrentPage() = 0;
    virtual void rotateCurrentPageRight() = 0;
    virtual void removeCurrentPage() = 0;
    virtual void saveCurrentPage() = 0;
    virtual void recognizeCurrentPage() = 0;
    virtual void clipCurrentPage(const QRectF &rect) = 0;

Q_SIGNALS:
    void currentPageChanged(const KSanePagePointer &page);
    void savePages(const QList<KSanePagePointer> &pages);   
    void recognizePages(const QList<KSanePagePointer> &pages);
};

#endif // KSANEPAGESWIDGET_H
